API reference
Health
Unauthenticated liveness and readiness probes.
On this page
Liveness probe
GET/health
No auth
Unauthenticated liveness probe for load balancers.
Example request
curl "https://api.cognichem.com/health"from cognichem_client import CogniChem
client = CogniChem()
result = client.health()
print(result)Python SDK pip install cognichem-client (1.1 or later).
Responses
Successful Response · application/json
Response fields: map<string, string>
Readiness probe
GET/ready
No auth
Readiness probe: checks the database connection.
Example request
curl "https://api.cognichem.com/ready"from cognichem_client import CogniChem
client = CogniChem()
result = client.ready()
print(result)Python SDK pip install cognichem-client (1.1 or later).
Responses
Successful Response · application/json
Response fields: map<string, string>